## centreon-plugins 0.0~20210520

=== debian/changelog ===
centreon-plugins (0.0~20210520-1) unstable; urgency=medium

  * Initial release (Closes: #993963)

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 13 Sep 2021 20:04:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	make -C doc/en html

## centreon-plugins 0.0~20221017

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Centreon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Centreon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Centreon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Centreon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## centreon-plugins 0.0~20211102

=== debian/changelog ===
centreon-plugins (0.0~20211102-1) unstable; urgency=medium

  [ Baptiste Beauplat ]
  * New upstream version 0.0~20211102
  * Add superficial autopkgtest validating one uptime check using snmp
  * Fix executable bit on a perl module

  [ Bas Couwenberg ]
  * Rename salsa-ci.yml to .gitlab-ci.yml.

 -- Baptiste Beauplat <lyknode@debian.org>  Thu, 11 Nov 2021 19:05:25 +0100

=== debian/control ===
Source: centreon-plugins
Section: admin
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Baptiste Beauplat <lyknode@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-sphinx
Standards-Version: 4.6.0
Homepage: https://github.com/centreon/centreon-plugins
Vcs-Browser: https://salsa.debian.org/nagios-team/centreon-plugins
Vcs-Git: https://salsa.debian.org/nagios-team/centreon-plugins.git
Rules-Requires-Root: no

Package: centreon-plugins
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Recommends: libdbd-mysql-perl,
            libdbd-pg-perl,
            libdbi-perl,
            libjson-perl,
            libmemcached-libmemcached-perl,
            libnet-dns-perl,
            libnet-ntp-perl,
            libnet-telnet-perl,
            libsnmp-perl,
            libwww-perl,
            libxml-libxml-perl,
            libxml-xpath-perl
Description: Collection of Nagios plugins to monitor OS, services and network devices
 Free and open source project to monitor systems.  The project can be
 used with Centreon and all monitoring software compatible with Nagios
 plugins.
 .
 The following can be monitored:
 .
  * application: Apache, Asterisk, Elasticsearch, Github, Jenkins,
                 Kafka, Nginx, Pfsense, Redis, Tomcat, Varnish...
  * cloud: AWS, Azure, Docker, Office365, Nutanix, Prometheus...
  * database: Firebird, Informix, MS SQL, MySQL, Oracle, Postgres, Cassandra
  * hardware: printers (rfc3805), UPS (Powerware, Mge, Standard), Sun
              Hardware, Cisco UCS, SensorIP, HP Proliant, HP
              Bladechassis, Dell Openmanage, Dell CMC, Raritan...
  * network: Aruba, Brocade, Bluecoat, Brocade,
             Checkpoint, Cisco AP/IronPort/ASA/Standard, Extreme,
             Fortigate, H3C, Hirschmann, HP Procurve, F5 BIG-IP, Juniper,
             PaloAlto, Redback, Riverbed, Ruggedcom, Stonesoft...
  * os: Linux (SNMP, NRPE), Freebsd (SNMP), AIX (SNMP), Solaris (SNMP)...
  * storage: EMC Clariion, Netapp, Nimble, HP MSA p2000, Dell EqualLogic,
             Qnap, Panzura, Synology...

## centreon-plugins 0.0~20211215

=== debian/changelog ===
centreon-plugins (0.0~20211215-1) unstable; urgency=medium

  * New upstream version 0.0~20211215

 -- Baptiste Beauplat <lyknode@debian.org>  Sat, 18 Dec 2021 12:17:12 +0100

## centreon-plugins 0.0~20220113

=== debian/changelog ===
centreon-plugins (0.0~20220113-1) unstable; urgency=medium

  * New upstream version 0.0~20220113
  * Update years in d/copyright
  * Remove Built-Using from d/control

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 24 Jan 2022 16:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Recommends: libdbd-mysql-perl,
             libdbd-pg-perl,
             libdbi-perl,

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_auto_build:
 	make -C doc/en html
+
+execute_after_dh_fixperms:
+	chmod -x debian/centreon-plugins/usr/lib/centreon-plugins/hardware/server/hp/proliant/snmp/mode/components/memory.pm

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
uversionmangle=s/^/0.0~/,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
https://github.com/centreon/@PACKAGE@/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## centreon-plugins 0.0~20220616

=== debian/changelog ===
centreon-plugins (0.0~20220616-1) unstable; urgency=medium

  * New upstream version 0.0~20220616
  * Rediff patches
  * Bump Standards-Version to 4.6.1: no changes

 -- Baptiste Beauplat <lyknode@debian.org>  Fri, 17 Jun 2022 12:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends: debhelper-compat (= 13),
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/centreon/centreon-plugins
 Vcs-Browser: https://salsa.debian.org/nagios-team/centreon-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/centreon-plugins.git

## centreon-plugins 0.0~20221017

=== debian/changelog ===
centreon-plugins (0.0~20221017-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + centreon-plugins: Add Multi-Arch: foreign.
    Changes-By: apply-multiarch-hints

  [ Baptiste Beauplat ]
  * New upstream version 0.0~20221017

 -- Baptiste Beauplat <lyknode@debian.org>  Sun, 23 Oct 2022 09:54:28 +0200

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
             libwww-perl,
             libxml-libxml-perl,
             libxml-xpath-perl
+Multi-Arch: foreign
 Description: Collection of Nagios plugins to monitor OS, services and network devices
  Free and open source project to monitor systems.  The project can be
  used with Centreon and all monitoring software compatible with Nagios

## centreon-plugins 0.0~20230118

=== debian/changelog ===
centreon-plugins (0.0~20230118-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

  [ Baptiste Beauplat ]
  * New upstream version 0.0~20230118
  * Update packaging files with new src source path
  * Update copyright years
  * Add missing dependencies for centreon_plugins.sh core script

 -- Baptiste Beauplat <lyknode@debian.org>  Sun, 06 Aug 2023 09:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends: debhelper-compat (= 13),
                python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/centreon/centreon-plugins
 Vcs-Browser: https://salsa.debian.org/nagios-team/centreon-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/centreon-plugins.git
@@ -15,7 +15,19 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         libcrypt-argon2-perl,
+         libcryptx-perl,
+         libdatetime-perl,
+         libhttp-cookies-perl,
+         libio-socket-ssl-perl,
+         libjson-path-perl,
+         libjson-xs-perl,
+         liblwp-protocol-https-perl,
+         libpod-parser-perl,
+         liburi-encode-perl,
+         liburi-perl,
+         libwww-perl,
 Recommends: libdbd-mysql-perl,
             libdbd-pg-perl,
             libdbi-perl,
@@ -25,7 +37,6 @@
             libnet-ntp-perl,
             libnet-telnet-perl,
             libsnmp-perl,
-            libwww-perl,
             libxml-libxml-perl,
             libxml-xpath-perl
 Multi-Arch: foreign

## centreon-plugins 0.0~20240711+dfsg

=== debian/changelog ===
centreon-plugins (0.0~20240711+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Explicitly enable test-build-twice job.
  * Use dh-sequence-sphinxdoc.
  * Update watch file to also match new tag format.

  [ Baptiste Beauplat ]
  * Exclude binary files from source and configure repack
  * New upstream version 0.0~20240711+dfsg (Closes: #1076538)
  * Update copyright years
  * Bump Standards-Version to 4.7.0

 -- Baptiste Beauplat <lyknode@debian.org>  Sat, 20 Jul 2024 13:36:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Baptiste Beauplat <lyknode@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-sphinxdoc,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/centreon/centreon-plugins
 Vcs-Browser: https://salsa.debian.org/nagios-team/centreon-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/centreon-plugins.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@
 
 override_dh_auto_build:
 	make -C doc/en html

## centreon-plugins 0.0~20250303+dfsg

=== connectors/vmware/doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CentreonESXD.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CentreonESXD.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CentreonESXD"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CentreonESXD"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
centreon-plugins (0.0~20250303+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Baptiste Beauplat ]
  * New upstream version 0.0~20250303+dfsg
  * Update copyright years
  * Rediff patches

 -- Baptiste Beauplat <lyknode@debian.org>  Wed, 02 Apr 2025 20:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-sphinxdoc,
                python3-sphinx
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/centreon/centreon-plugins
 Vcs-Browser: https://salsa.debian.org/nagios-team/centreon-plugins
 Vcs-Git: https://salsa.debian.org/nagios-team/centreon-plugins.git

=== debian/tests/control ===
Tests: 0001-linux-snmp.sh
Depends: @,
         libsnmp-perl,
         snmpd
Restrictions: superficial

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
uversionmangle=s/^/0.0~/,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
https://github.com/centreon/@PACKAGE@/tags \
(?:.*?/)?(?:v|plugins\-?)?(\d[\d.]*)\.tar\.gz
